Subject: Re: Failures in GitHub Actions linux-leaks and linux-asan-ubsan

From: Linus Arver <[email-masked]>
Date: Sun, 17 Mar 2024 23:52:42 -0700

Philippe Blain <[email-masked]> writes:

> Hi everyone,
>
> You might have noticed that the linux-leaks and linux-asan-ubsan
> jobs in GitHub Actions started failing last week. I investigated 
> this so I'm sharing my findinds in case it helps.

Huge thanks for looking into this, Philippe!

> The failures are due to the new ubuntu-22.04 GitHub Actions image
> (release 20240310.1.0, [1]) which uses a kernel where ASLR is configured
> in a way that is incompatible with ASan and LSan as used in 
> the GCC and Clang versions in that image. More info can be found
> in [2] and [3] and pages linked there.
>
> A workaround was already implemented in the image generation process 
> [4], so the next version of the image should work. I think the images
> are released weekly. We could maybe add the same sysctl command to reduce
> the entropy to our YAML file, or we could live with it for the next week
> or so while waiting for the next image to roll out.
>
> Cheers,
>
> Philippe.
>
> [1] https://github.com/actions/runner-images/commit/d67fa31aeeec3cf0d666d0eb2976b683471c6b90
> [2] https://github.com/actions/runner-images/issues/9491#issuecomment-1989718917
> [3] https://github.com/actions/runner-images/issues/9524#issuecomment-2002065399
> [4] https://github.com/actions/runner-images/pull/9513

I appreciate the links you've documented here for reference (and the
care you took to write up [3]). You've got good taste. :)